package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpShop {

    private Integer id;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     *商铺名称
     */
    private String shopName;

    /**
     *商铺说明
     */
    private String remark;

    /**
     *排序
     */
    private String sort;

    /**
     *商铺类型
     */
    private Integer shopTypeId;

    /**
     *商铺状态 1是已上架 2是已下架
     */
    private String shopStatus;

    /**
     *商铺电话
     */
    private String shopTel;

    /**
     *商铺地址
     */
    private String shopAddress;

    /**
     *均价
     */
    private String averagePrice;

    /**
     *商铺经度
     */
    private String shopLongitude;

    /**
     *商铺纬度
     */
    private String shopLatitude;

    /**
     *创建时间
     */
    private Date createDate;

    /**
     *创建人
     */
    private Integer createUser;

    /**
     *更新时间
     */
    private Date updateDate;

    /**
     *更新人
     */
    private Integer updateUser;

    /**
     *商铺介绍
     */
    private String shopIntroduction;

    /**
     * 线下列表图
     * @return
     */
    private String shopImg;

    /**
     * 商铺信息
     * @return
     */
    private List<TpShopImg> tpShopImgList;

    /**
     * 商铺类型
     * @return
     */
    private List<TpShopType> tpShopTypeList;

    /**
     * 商铺首页图
     */
    private String tpShopImgUrl;

    public String getTpShopImgUrl() {
        return tpShopImgUrl;
    }

    public void setTpShopImgUrl(String tpShopImgUrl) {
        this.tpShopImgUrl = tpShopImgUrl;
    }

    public List<TpShopType> getTpShopTypeList() {
        return tpShopTypeList;
    }

    public void setTpShopTypeList(List<TpShopType> tpShopTypeList) {
        this.tpShopTypeList = tpShopTypeList;
    }

    public List<TpShopImg> getTpShopImgList() {
        return tpShopImgList;
    }

    public void setTpShopImgList(List<TpShopImg> tpShopImgList) {
        this.tpShopImgList = tpShopImgList;
    }

    public String getShopImg() {
        return shopImg;
    }

    public void setShopImg(String shopImg) {
        this.shopImg = shopImg;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName == null ? null : shopName.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort == null ? null : sort.trim();
    }

    public Integer getShopTypeId() {
        return shopTypeId;
    }

    public void setShopTypeId(Integer shopTypeId) {
        this.shopTypeId = shopTypeId;
    }

    public String getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(String shopStatus) {
        this.shopStatus = shopStatus == null ? null : shopStatus.trim();
    }

    public String getShopTel() {
        return shopTel;
    }

    public void setShopTel(String shopTel) {
        this.shopTel = shopTel == null ? null : shopTel.trim();
    }

    public String getShopAddress() {
        return shopAddress;
    }

    public void setShopAddress(String shopAddress) {
        this.shopAddress = shopAddress == null ? null : shopAddress.trim();
    }

    public String getAveragePrice() {
        return averagePrice;
    }

    public void setAveragePrice(String averagePrice) {
        this.averagePrice = averagePrice == null ? null : averagePrice.trim();
    }

    public String getShopLongitude() {
        return shopLongitude;
    }

    public void setShopLongitude(String shopLongitude) {
        this.shopLongitude = shopLongitude == null ? null : shopLongitude.trim();
    }

    public String getShopLatitude() {
        return shopLatitude;
    }

    public void setShopLatitude(String shopLatitude) {
        this.shopLatitude = shopLatitude == null ? null : shopLatitude.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public String getShopIntroduction() {
        return shopIntroduction;
    }

    public void setShopIntroduction(String shopIntroduction) {
        this.shopIntroduction = shopIntroduction == null ? null : shopIntroduction.trim();
    }
}